# AIVehicleList_SharedOrders Class Reference
[Classes that create a list of items.]

Creates a list of vehicles that share orders. More...

`#include <ai_vehiclelist.hpp>`

Inheritance diagram for AIVehicleList_SharedOrders:

## Public Member Functions

| AIVehicleList_SharedOrders (VehicleID vehicle_id)

## Static Public Member Functions

static const char * | GetClassName ()

## Detailed Description

Creates a list of vehicles that share orders.

Definition at line 39 of file ai_vehiclelist.hpp.

## Constructor & Destructor Documentation

AIVehicleList_SharedOrders::AIVehicleList_SharedOrders | ( | VehicleID | vehicle_id | ) |

Parameters:

  | station_id | The vehicle that the rest shared orders with.

Definition at line 39 of file ai_vehiclelist.cpp.

References AIAbstractList::AddItem(), and AIVehicle::IsValidVehicle().

The documentation for this class was generated from the following files:

- src/ai/api/ai_vehiclelist.hpp
- src/ai/api/ai_vehiclelist.cpp